Bug 248681 - Review Request: R-affyio -Tools for parsing Affymetrix data files
Review Request: R-affyio -Tools for parsing Affymetrix data files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-18 02:40 EDT by Pierre-Yves
Modified: 2008-01-29 00:16 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.6.1-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-29 00:13:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pierre-Yves 2007-07-18 02:40:15 EDT
Spec URL: http://pingoured.dyndns.org/public/RPM/R-affyio/R-affyio.spec
SRPM URL: http://pingoured.dyndns.org/public/RPM/R-affyio/R-affyio-1.4.1-1.fc6.src.rpm
Description: 
Routines for parsing Affymetrix data files based upon file format 
information. Primary focus is on accessing the CEL and CDF file formats.

Thanks
Comment 2 Jason Tibbitts 2007-11-19 00:02:42 EST
This one didn't build for me:

error: Installed (but unpackaged) file(s) found:
   /usr/lib64/R/library/affyio/LICENSE
Comment 3 Jason Tibbitts 2008-01-18 02:40:15 EST
Would you like to submit a fixed package?
Comment 5 Jason Tibbitts 2008-01-18 16:56:51 EST
These R packages are getting to be rather mechanical....

* source files match upstream:
   43209782db61fdadfc8cb72a5f1fe5b7794c17f4e7e2f3c5ecef33e510b95a0e  
   affyio_1.6.1.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint has only the usual complaints.
* final provides and requires are sane:
   affyio.so()(64bit)
   R-affyio = 1.6.1-1.fc9
  =
   /bin/sh
   R
   libR.so()(64bit)
   libz.so.1()(64bit)

* %check is present and all tests pass.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 6 Pierre-Yves 2008-01-18 19:17:53 EST
New Package CVS Request
=======================
Package Name:  R-affyio
Short Description: Tools for parsing Affymetrix data files
Owners: pingou
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-01-19 13:24:53 EST
cvs done.
Comment 8 Fedora Update System 2008-01-22 10:59:01 EST
R-affyio-1.6.1-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-affyio'
Comment 9 Fedora Update System 2008-01-22 11:03:22 EST
R-affyio-1.6.1-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-affyio'
Comment 10 Fedora Update System 2008-01-29 00:13:40 EST
R-affyio-1.6.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-01-29 00:16:12 EST
R-affyio-1.6.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.